from Products.wicked.example.wickeddoc import WickedDoc

def getContainerPath(self):
    path = self.getPhysicalPath()
    return '/'.join(path[:-1])

def alterWickedSchema():
    wicked_schema = WickedDoc.schema
    hidden_fields = ('relatedItems', 'allowDiscussion')
    for fld in hidden_fields:
        wicked_schema[fld].widget.visible={'edit': 'invisible',
                                           'view': 'invisible',
                                           }
    scope = 'getContainerPath'
    wicked_schema['text'].scope=scope
    setattr(WickedDoc, scope, getContainerPath)

    wicked_schema['text'].widget.macro="binsmart_rich"
    wicked_schema['text'].widget.helper_js=("toggle_editor.js",)
    wicked_schema['text'].allowable_content_types = ('text/html',)
    
alterWickedSchema()

from metadata import addDispatcherToMethod, notifyObjectModified
from Products.Archetypes.BaseObject import BaseObject
BaseObject._processForm_old = BaseObject._processForm
BaseObject._processForm = addDispatcherToMethod(BaseObject._processForm,
                                                notifyObjectModified)

BaseObject.update_old = BaseObject.update
BaseObject.update = addDispatcherToMethod(BaseObject.update,
                                          notifyObjectModified)
BaseObject.edit = BaseObject.update
