"""
Intranet

~~~~~~~~~~

Integration product for Intranet platform.

"""
__authors__ = 'Jaroslav Šatkevič <jaro@akl.lt>'
__docformat__ = 'restructuredtext'

import os.path
from App.Common import package_home

GLOBALS                = globals()
PROJECTNAME            = "Intranet"
PKG_HOME               = package_home(GLOBALS)
SKINS_DIR              = 'skins'
COPY_DIR               = 'copy'
COPY_PATH              = os.path.join(PKG_HOME, COPY_DIR)

NOT_ADDABLE_TYPES = ['Smartlink', 'WickedDoc', 'TeamSpace']

NAVTREE_TYPES = ['Collector', 'HelpCenterErrorReferencefolder',
                 'HelpCenterFAQFolder', 'Folder', 'HelpCenter',
                 'HelpCenterHowToFolder', 'Large Plone Folder',
		 'HelpCenterLinkFolder', 'HelpCenterReferenceManualFolder',
		 'HelpCenterReferenceManualSection', 'Topic', 'WeblogTopic', 
		 'HelpCenterTutorialFolder', 'HelpCenterInstructionalVideoFolder',
		]
